> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Backlinks Index

> This endpoint will provide you with the total number of backlinks, domains, and pages our database contains for the moment when you make a request.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/backlinks/index
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/backlinks/index:
    get:
      summary: Backlinks Index
      description: >-
        This endpoint will provide you with the total number of backlinks,
        domains, and pages our database contains for the moment when you make a
        request. You will also get stats for the last 12 months.
      operationId: get_dataforseo_backlinks_index
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here Note: we strongly recommend designing
                      a necessary system for handling related exceptional or
                      error conditions
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasks array
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array returned with an
                      error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      task identifier unique task identifier in our system in
                      the UUID format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes here
                  tasks.status_message:
                    type: string
                    description: >-
                      informational message of the task you can find the full
                      list of general informational messages here
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: >-
                      contains the parameters passed in the URL of the GET
                      request
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: array of results
                  tasks.result.total_backlinks:
                    type: integer
                    description: >-
                      total number of backlinks our database contains for the
                      moment of checking
                  tasks.result.total_pages:
                    type: integer
                    description: >-
                      total number of pages our database contains for the moment
                      of checking
                  tasks.result.total_domains:
                    type: integer
                    description: >-
                      total number of domains our database contains for the
                      moment of checking
                  tasks.result.index_history:
                    type: array
                    items:
                      type: string
                    description: index volume data for the past 12 months
                  tasks.result.index_history.date:
                    type: string
                    description: >-
                      date for which index volume data is provided in the UTC
                      format: “yyyy-mm-dd” example: 2021-10-01
                  tasks.result.index_history.total_backlinks:
                    type: integer
                    description: >-
                      total number of backlinks our database contained on the
                      given date
                  tasks.result.index_history.total_pages:
                    type: integer
                    description: >-
                      total number of pages our database contained on the given
                      date
                  tasks.result.index_history.total_domains:
                    type: integer
                    description: >-
                      total number of domains our database contained on the
                      given date
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````